package ttakada;

import com.idiominc.wssdk.WSContext;
import com.idiominc.wssdk.component.WSComponentConfigurationData;
import com.idiominc.wssdk.component.WSComponentConfigurationUI;

import javax.servlet.http.HttpServletRequest;

public class MyMTAdapterConfigUI extends WSComponentConfigurationUI {
    @Override
    public String render(WSContext context, HttpServletRequest request, WSComponentConfigurationData configData) {
        MyMTAdapterConfigData config;
        if(configData == null)
            config = new MyMTAdapterConfigData();
        else
            config = (MyMTAdapterConfigData) configData;

        return "Prefix: <input type='text' name='prefix' value='" + config.getPrefix() + "'><br/>" + "Suffix: <input type='text' name='suffix' value='" + config.getSuffix() + "'><br/>";
    }

    @Override
    public WSComponentConfigurationData save(WSContext context, HttpServletRequest request, WSComponentConfigurationData configData) {
        MyMTAdapterConfigData config;
        if(configData == null)
            config = new MyMTAdapterConfigData();
        else
            config = (MyMTAdapterConfigData) configData;

        config.setPrefix(request.getParameter("prefix"));
        config.setSuffix(request.getParameter("suffix"));

        return config;
    }
}
